---

themes:
  name: midnight
  dark:
    colors:
      accentGray: 0xE0E0E0
      background: 0x111111
      backgroundAlt: 0x494949
      header: 0x111111
      userBubble: 0x2D2D2D
      peerBubble: 0x1B1B1B
      font: 0xF0F1F1
      settings: 0xF0F1F1
      accent: 0xD20070
      reaction: 0xD20070
    theme:
      backgroundHilightElementColor: backgroundAlt
      hilightElementColor: font
      backgroundMainColor: background  # darkGreyPurple
      backgroundPaneColor: header  # darkGreyPurple
      defaultButtonColor: accent  # hotPink
      dropShadowColor: accentGray
      mainTextColor: font  # whiteishPurple
      messageFromMeBackgroundColor: userBubble  #  mauvePurple
      messageFromMeTextColor: font  # whiteishPurple
      messageFromOtherBackgroundColor: peerBubble  # deepPurple
      messageFromOtherTextColor: font  # whiteishPurple
      scrollbarDefaultColor: accentGray
      textfieldBackgroundColor: peerBubble
      textfieldBorderColor: userBubble
      textfieldHintColor: mainTextColor
      portraitOfflineBorderColor: 0x676767
      portraitOnlineBorderColor: font
      portraitBackgroundColor: background
      toolbarIconColor: settings  # whiteishPurple
      toolbarBackgroundColor: backgroundAlt
      topbarColor: header  # darkGreyPurple
      sendHintTextColor: userBubble
      chatReactionIconColor: reaction
      chatImage: Midnight.png
      chatImageColor: userBubble
      snackbarBackgroundColor: accent
      snackbarTextColor: 0xF0F1F1 
  light:
    colors:
      background: 0xF0F1F1  # Color( 0xFFFDFF)
      header: 0xE0E0E0
      userBubble: 0xBABDBE
      peerBubble: 0xE0E0E0
      font: 0x111111
      settings: 0x111111
      accent: 0xD20070
      reaction: 0xD20070
    theme:
      backgroundHilightElementColor: peerBubble
      hilightElementColor: font
      backgroundMainColor: background  # whitePurple
      backgroundPaneColor: background  # whitePurple
      defaultButtonColor: accent  # hotPink
      mainTextColor: settings
      messageFromMeBackgroundColor: userBubble  # brightPurple
      messageFromMeTextColor: font  # mainTextColor
      messageFromOtherBackgroundColor: peerBubble  # purple
      messageFromOtherTextColor: font  # darkPurple
      portraitContactBadgeColor: accent
      portraitOfflineBorderColor: userBubble
      portraitOnlineBorderColor: font
      portraitBackgroundColor: background
      scrollbarDefaultColor: accent
      textfieldBackgroundColor: userBubble
      textfieldHintColor: font
      toolbarIconColor: 0xffffff
      toolbarBackgroundColor: accent
      topbarColor: header  # softPurple
      sendHintTextColor: userBubble
      chatReactionIconColor: reaction
      chatImage: Midnight.png
      chatImageColor: peerBubble
      snackbarBackgroundColor: accent
      snackbarTextColor: background
